Devuan bug report logs - #462
RC netinstall iso does not load firmware-iwlwifi neither

Package: devuan-installer; Maintainer for devuan-installer is Ralph Ronnquist <ralph.ronnquist@gmail.com>;

Reported by: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>

Date: Sat, 16 May 2020 08:33:02 UTC

Severity: normal

Done: Brian Medley <bpm@bmedley.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Ralph Ronnquist <ralph.ronnquist@gmail.com>:
bug#462; Package devuan-installer. (Sat, 16 May 2020 08:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
New bug report received and forwarded. Copy sent to Ralph Ronnquist <ralph.ronnquist@gmail.com>. (Sat, 16 May 2020 08:33:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: devuan-installer: beta 3 server iso does not load firmware-iwlwifi
Date: Sat, 16 May 2020 17:17:20 +0900 (JST)
Package: devuan-installer
Severity: normal

Dear Maintainer,

I installed Devuan by Beta 3 server iso image released on May 2020.
My laptop needs firmware-iwlwifi package to use its built-in wifi.

https://files.devuan.org/devuan_beowulf/Release_notes.txt says:
### Non-free firmware

All Devuan 3 Beowulf install media make non-free firmware packages
available at install time. These are only installed if your networking
hardware requires them in order to function. You can avoid the
automatic installation of non-free firmware by selecting the
"Expert install" option in the installation menu.

But firmware-iwlwifi package is not installed on my laptop
by beta3 server iso.
The wifi is unavailable at the installation, and I had to use Ethernet.

Best regards, Ryutaroh Matsumoto

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Information forwarded to devuan-bugs@lists.dyne.org, Ralph Ronnquist <ralph.ronnquist@gmail.com>:
bug#462; Package devuan-installer. (Sat, 16 May 2020 16:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to fsmithred <fsmithred@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ralph Ronnquist <ralph.ronnquist@gmail.com>. (Sat, 16 May 2020 16:03:05 GMT) (full text, mbox, link).


Message #10 received at 462@bugs.devuan.org (full text, mbox, reply):

From: fsmithred <fsmithred@gmail.com>
To: 462@bugs.devuan.org
Subject: Re: #462,devuan-installer: beta 3 server iso does not load firmware-iwlwifi
Date: Sat, 16 May 2020 11:38:20 -0400
I thought this was fixed, but I can reproduce it on two different laptops
- one with realtek and one with iwlwifi. I used the amd64 beta3 netinstall
iso.

Current workaround is this:
When you get to network setup, press alt-F2 to get a console, and run:
  rm /tmp/*

Then press alt-F1 to return to the installer.
Select <Go Back> and re-run Detect network hardware
You should then be able to connect with wireless.

fsmithred


> 
> From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
> To: Devuan Bug Tracking System <submit@bugs.devuan.org>
> Subject: devuan-installer: beta 3 server iso does not load firmware-iwlwifi
> Date: Sat, 16 May 2020 17:17:20 +0900 (JST)
> 
> Package: devuan-installer
> Severity: normal
> 
> Dear Maintainer,
> 
> I installed Devuan by Beta 3 server iso image released on May 2020.
> My laptop needs firmware-iwlwifi package to use its built-in wifi.
> 
> https://files.devuan.org/devuan_beowulf/Release_notes.txt says:
> ### Non-free firmware
> 
> All Devuan 3 Beowulf install media make non-free firmware packages
> available at install time. These are only installed if your networking
> hardware requires them in order to function. You can avoid the
> automatic installation of non-free firmware by selecting the
> "Expert install" option in the installation menu.
> 
> But firmware-iwlwifi package is not installed on my laptop
> by beta3 server iso.
> The wifi is unavailable at the installation, and I had to use Ethernet.
> 
> Best regards, Ryutaroh Matsumoto
> 
> -- System Information:
> Distributor ID:	Debian
> Description:	Devuan GNU/Linux 3 (beowulf)
> Release:	3
> Codename:	beowulf
> Architecture: x86_64
> 
> Kernel: Linux 4.19.0-8-amd64 (SMP w/4 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> Init: sysvinit (via /sbin/init)
> LSM: AppArmor: enabled
> 

Information forwarded to devuan-bugs@lists.dyne.org, Ralph Ronnquist <ralph.ronnquist@gmail.com>:
bug#462; Package devuan-installer. (Mon, 18 May 2020 02:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
Extra info received and forwarded to list. Copy sent to Ralph Ronnquist <ralph.ronnquist@gmail.com>. (Mon, 18 May 2020 02:48:03 GMT) (full text, mbox, link).


Message #15 received at 462@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: 462@bugs.devuan.org
Subject: Re: devuan-installer: beta 3 server iso does not load firmware-iwlwifi
Date: Mon, 18 May 2020 11:32:50 +0900 (JST)
[Message part 1 (text/plain, inline)]
Control: retitle -1 RC netinstall iso does not load firmware-iwlwifi neither

I checked the RC netinstall ISO released on May 17,
and the symptom remains the same.
Screenshots on tty1 and tty4 is attached.

On the other hand, Debian (not Devuan) Buster
unofficial ISO with firmware allows me to use wifi in the installation.
The Debian installer stores ESSID and its password to
a file used by NetworkManager, and the ESSID and the password
used for installation continues to be available
after rebooting Debian Buster from HDD.

Best regards, Ryutaroh
[IMG_20200518_112415278.jpg (image/jpeg, inline)]
[IMG_20200518_112342038.jpg (image/jpeg, inline)]

Changed bug title to 'RC netinstall iso does not load firmware-iwlwifi neither' from 'devuan-installer: beta 3 server iso does not load firmware-iwlwifi'. Request was from Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp> to 462-submit@bugs.devuan.org. (Mon, 18 May 2020 02:48:05 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Ralph Ronnquist <ralph.ronnquist@gmail.com>:
bug#462; Package devuan-installer. (Mon, 18 May 2020 04:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
Extra info received and forwarded to list. Copy sent to Ralph Ronnquist <ralph.ronnquist@gmail.com>. (Mon, 18 May 2020 04:33:03 GMT) (full text, mbox, link).


Message #22 received at 462@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: 462@bugs.devuan.org
Subject: Re: devuan-installer: RC netinstall iso does not load firmware-iwlwifi neither
Date: Mon, 18 May 2020 13:16:50 +0900 (JST)
[Message part 1 (text/plain, inline)]
iwlwifi firmware is loaded by the Debian (not Devuan) Buster Installer when
"Detect Network Hardware" is selected.
When the iwlwifi firmware is loaded by the Debian Installer,
tty4 looks like the attached screenshot.
Best regards, Ryutaroh
[IMG_20200518_130234732.jpg (image/jpeg, inline)]

Reply sent to Brian Medley <bpm@bmedley.org>:
You have taken responsibility. (Sun, 07 Jun 2020 17:48:01 GMT) (full text, mbox, link).


Notification sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
bug acknowledged by developer. (Sun, 07 Jun 2020 17:48:05 GMT) (full text, mbox, link).


Message #27 received at 462-done@bugs.devuan.org (full text, mbox, reply):

From: Brian Medley <bpm@bmedley.org>
To: 462-done@bugs.devuan.org
Date: Sun, 7 Jun 2020 12:35:06 -0500



Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Oct 30 10:12:52 2020;